### Method

# ECal ComponentPropertyBag remove

since: 3.34

#### Declaration [src]

    void
    e_cal_component_property_bag_remove (
      ECalComponentPropertyBag* bag,
      guint index
    )

#### Description [src]

Removes the `ICalProperty` at the given `index`. If the `index` is out of bounds (not lower than e_cal_component_property_bag_get_count()), then the function does nothing.

Available since: 3.34

#### Parameters

`index`

  Type: `guint`

  An index of the property to remove.